# Delete Document

Source: https://www.digiparser.com/docs/api/deleteDocument

# Delete Document

Server URL`loading...`

DELETE

/`api`/`v1`/`parsers`/`{parserId}`/`documents`/`{documentId}`

Send

Authorization

Path

Delete one document from the parser.

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

documentId\*string

The ID of the document

Format`uuid`

## [Response Body](#response-body)

### 200

`application/json`

### 401

`application/json`

### 404

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X DELETE "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/documents/3eb8e281-89b8-4cf0-9397-660794692cef"
```

200401404

```
{
  "success": true,
  "deleted": 1,
  "ids": [
    "2b9b1243-3d94-42b0-9515-729c7404e3b7"
  ]
}
```

```
{
  "error": true,
  "message": "Parser ID mismatch"
}
```

```
{
  "error": true,
  "message": "Document not found",
  "notFound": [
    {
      "type": "documentId",
      "value": "string"
    }
  ]
}
```

[

Update Document Data PATCH

Patch extracted field and table values.

](/docs/api/updateDocumentExtractedData)[

Bulk Delete Documents POST

Delete documents by document IDs, external IDs, or both. This is the resource-path equivalent of the existing process delete endpoint.

](/docs/api/bulkDeleteParserDocuments)